# OS_NS_fcntl.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/os_fcntl.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_fcntl.inl"`

Include dependency graph for OS_NS_fcntl.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_OS

## Defines

#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_DEFAULT_OPEN_PERMS (FILE_SHARE_READ | FILE_SHARE_WRITE)
#define | ACE_INLINE inline

## Functions

ACE_NAMESPACE_INLINE_FUNCTION int | fcntl (ACE_HANDLE handle, int cmd, long arg=0)
ACE_Export ACE_HANDLE | open (const char *filename, int mode, int perms=ACE_DEFAULT_OPEN_PERMS, LPSECURITY_ATTRIBUTES sa=0)
ACE_Export ACE_HANDLE | open (const wchar_t *filename, int mode, int perms=ACE_DEFAULT_OPEN_PERMS, LPSECURITY_ATTRIBUTES sa=0)

## Detailed Description

Id
  OS_NS_fcntl.h,v 1.5 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_DEFAULT_OPEN_PERMS (FILE_SHARE_READ | FILE_SHARE_WRITE)

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_OS::fcntl | ( | ACE_HANDLE | handle,
|  | int | cmd,
|  | long | arg = `0`
| ) |

ACE_HANDLE ACE_OS::open | ( | const wchar_t * | filename,
|  | int | mode,
|  | int | perms = `ACE_DEFAULT_OPEN_PERMS`,
|  | LPSECURITY_ATTRIBUTES | sa = `0`
| ) |

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_HANDLE ACE_OS::open | ( | const char * | filename,
|  | int | mode,
|  | int | perms = `ACE_DEFAULT_OPEN_PERMS`,
|  | LPSECURITY_ATTRIBUTES | sa = `0`
| ) |

| The O_APPEND flag is only partly supported on Win32. If you specify O_APPEND, then the file pointer will be positioned at the end of the file initially during open, but it is not re-positioned at the end prior to each write, as specified by POSIX. This is generally good enough for typical situations, but it is ``not quite right'' in its semantics.